diff --git a/src/backend/utils/adt/selfuncs.c b/src/backend/utils/adt/selfuncs.c
index 2b4e6acf9a7..50e1413870f 100644
--- a/src/backend/utils/adt/selfuncs.c
+++ b/src/backend/utils/adt/selfuncs.c
@@ -4627,7 +4627,7 @@ estimate_multivariate_ndistinct(PlannerInfo *root, RelOptInfo *rel,
 				if (!AttrNumberIsForUserDefinedAttr(attnum))
 					continue;
 
-				if (bms_is_member(attnum, info->keys))
+				if (stat_covers_attnum(info, attnum))
 					nshared_vars++;
 
 				continue;
@@ -4692,14 +4692,15 @@ estimate_multivariate_ndistinct(PlannerInfo *root, RelOptInfo *rel,
 		ListCell   *lc2;
 		Bitmapset  *matched = NULL;
 		AttrNumber	attnum_offset;
+		int			nexprs = stat_num_expressions(matched_info);
 
 		/*
 		 * How much we need to offset the attnums? If there are no
 		 * expressions, no offset is needed. Otherwise offset enough to move
 		 * the lowest one (which is equal to number of expressions) to 1.
 		 */
-		if (matched_info->exprs)
-			attnum_offset = (list_length(matched_info->exprs) + 1);
+		if (nexprs > 0)
+			attnum_offset = nexprs + 1;
 		else
 			attnum_offset = 0;
 
@@ -4729,7 +4730,7 @@ estimate_multivariate_ndistinct(PlannerInfo *root, RelOptInfo *rel,
 					continue;
 
 				/* Is the variable covered by the statistics object? */
-				if (!bms_is_member(attnum, matched_info->keys))
+				if (!stat_covers_attnum(matched_info, attnum))
 					continue;
 
 				attnum = attnum + attnum_offset;
@@ -4756,6 +4757,13 @@ estimate_multivariate_ndistinct(PlannerInfo *root, RelOptInfo *rel,
 			{
 				Node	   *expr = (Node *) lfirst(lc3);
 
+				/*
+				 * columns have no per-expression stats, so count expressions
+				 * only
+				 */
+				if (statext_is_column(expr))
+					continue;
+
 				if (equal(varinfo->var, expr))
 				{
 					AttrNumber	attnum = -(idx + 1);
@@ -5922,6 +5930,13 @@ examine_variable(PlannerInfo *root, Node *node, int varRelid,
 			{
 				Node	   *expr = (Node *) lfirst(expr_item);
 
+				/*
+				 * columns have no per-expression stats, so count expressions
+				 * only
+				 */
+				if (statext_is_column(expr))
+					continue;
+
 				Assert(expr);
 
 				/* strip RelabelType before comparing it */
diff --git a/src/bin/psql/describe.c b/src/bin/psql/describe.c
index ad9c8affb4f..6525a4a3fc5 100644
--- a/src/bin/psql/describe.c
+++ b/src/bin/psql/describe.c
@@ -2767,8 +2767,15 @@ describeOneTableDetails(const char *schemaname,
 							  "SELECT oid, "
 							  "stxrelid::pg_catalog.regclass, "
 							  "stxnamespace::pg_catalog.regnamespace::pg_catalog.text AS nsp, "
-							  "stxname,\n"
-							  "pg_catalog.pg_get_statisticsobjdef_columns(oid) AS columns,\n"
+							  "stxname,\n");
+			/* TODO: update threshold to 200000 when PG20 version is assigned */
+			if (pset.sversion >= 190000)
+				appendPQExpBufferStr(&buf,
+									"pg_catalog.array_to_string(pg_catalog.pg_get_statisticsobjdef_columns(oid), ', ') AS columns,\n");
+			else
+				appendPQExpBufferStr(&buf,
+									"pg_catalog.pg_get_statisticsobjdef_columns(oid) AS columns,\n");
+			appendPQExpBuffer(&buf,
 							  "  " CppAsString2(STATS_EXT_NDISTINCT) " = any(stxkind) AS ndist_enabled,\n"
 							  "  " CppAsString2(STATS_EXT_DEPENDENCIES) " = any(stxkind) AS deps_enabled,\n"
 							  "  " CppAsString2(STATS_EXT_MCV) " = any(stxkind) AS mcv_enabled,\n"
@@ -4946,7 +4953,14 @@ listExtendedStats(const char *pattern, bool verbose)
 					  gettext_noop("Schema"),
 					  gettext_noop("Name"));
 
-	if (pset.sversion >= 140000)
+	/* TODO: update threshold to 200000 when PG20 version is assigned */
+	if (pset.sversion >= 190000)
+		appendPQExpBuffer(&buf,
+						  "pg_catalog.format('%%s FROM %%s', \n"
+						  "  pg_catalog.array_to_string(pg_catalog.pg_get_statisticsobjdef_columns(es.oid), ', '), \n"
+						  "  es.stxrelid::pg_catalog.regclass) AS \"%s\"",
+						  gettext_noop("Definition"));
+	else if (pset.sversion >= 140000)
 		appendPQExpBuffer(&buf,
 						  "pg_catalog.format('%%s FROM %%s', \n"
 						  "  pg_catalog.pg_get_statisticsobjdef_columns(es.oid), \n"
diff --git a/src/include/catalog/pg_statistic_ext.h b/src/include/catalog/pg_statistic_ext.h
index e4a0cb4d41c..9cfb39f7f3d 100644
--- a/src/include/catalog/pg_statistic_ext.h
+++ b/src/include/catalog/pg_statistic_ext.h
@@ -46,19 +46,15 @@ CATALOG(pg_statistic_ext,3381,StatisticExtRelationId)
 
 	Oid			stxowner BKI_LOOKUP(pg_authid); /* statistics object's owner */
 
-	/*
-	 * variable-length/nullable fields start here, but we allow direct access
-	 * to stxkeys
-	 */
-	int2vector	stxkeys BKI_FORCE_NOT_NULL; /* array of column keys */
-
 #ifdef CATALOG_VARLEN
 	int16		stxstattarget BKI_DEFAULT(_null_) BKI_FORCE_NULL;	/* statistics target */
 	char		stxkind[1] BKI_FORCE_NOT_NULL;	/* statistics kinds requested
 												 * to build */
-	pg_node_tree stxexprs;		/* A list of expression trees for stats
-								 * attributes that are not simple column
-								 * references. */
+	pg_node_tree stxexprs BKI_FORCE_NOT_NULL;	/* expression trees for the
+												 * columns and expressions the
+												 * statistics object is
+												 * defined on; simple columns
+												 * are Var nodes */
 #endif
 
 } FormData_pg_statistic_ext;
@@ -81,7 +77,6 @@ DECLARE_INDEX(pg_statistic_ext_relid_index, 3379, StatisticExtRelidIndexId, pg_s
 MAKE_SYSCACHE(STATEXTOID, pg_statistic_ext_oid_index, 4);
 MAKE_SYSCACHE(STATEXTNAMENSP, pg_statistic_ext_name_index, 4);
 
-DECLARE_ARRAY_FOREIGN_KEY((stxrelid, stxkeys), pg_attribute, (attrelid, attnum));
 
 #ifdef EXPOSE_TO_CLIENT_CODE
 
diff --git a/src/include/nodes/pathnodes.h b/src/include/nodes/pathnodes.h
index 27a2c6815b7..557b7337ea8 100644
--- a/src/include/nodes/pathnodes.h
+++ b/src/include/nodes/pathnodes.h
@@ -1525,10 +1525,7 @@ typedef struct StatisticExtInfo
 	/* statistics kind of this entry */
 	char		kind;
 
-	/* attnums of the columns covered */
-	Bitmapset  *keys;
-
-	/* expressions */
+	/* all columns and expressions the object is defined on, in declared order */
 	List	   *exprs;
 } StatisticExtInfo;
 
diff --git a/src/include/statistics/extended_stats_internal.h b/src/include/statistics/extended_stats_internal.h
index c775442f2ee..8e18652659b 100644
--- a/src/include/statistics/extended_stats_internal.h
+++ b/src/include/statistics/extended_stats_internal.h
@@ -73,7 +73,7 @@ extern MVNDistinct *statext_ndistinct_build(double totalrows, StatsBuildData *da
 extern bytea *statext_ndistinct_serialize(MVNDistinct *ndistinct);
 extern MVNDistinct *statext_ndistinct_deserialize(bytea *data);
 extern bool statext_ndistinct_validate(const MVNDistinct *ndistinct,
-									   const int2vector *stxkeys,
+									   const Bitmapset *keys,
 									   int numexprs, int elevel);
 extern void statext_ndistinct_free(MVNDistinct *ndistinct);
 
@@ -81,7 +81,7 @@ extern MVDependencies *statext_dependencies_build(StatsBuildData *data);
 extern bytea *statext_dependencies_serialize(MVDependencies *dependencies);
 extern MVDependencies *statext_dependencies_deserialize(bytea *data);
 extern bool statext_dependencies_validate(const MVDependencies *dependencies,
-										  const int2vector *stxkeys,
+										  const Bitmapset *keys,
 										  int numexprs, int elevel);
 extern void statext_dependencies_free(MVDependencies *dependencies);
 
@@ -106,8 +106,7 @@ extern int	multi_sort_compare_dims(int start, int end, const SortItem *a,
 									const SortItem *b, MultiSortSupport mss);
 extern int	compare_scalars_simple(const void *a, const void *b, void *arg);
 extern int	compare_datums_simple(Datum a, Datum b, SortSupport ssup);
-
-extern AttrNumber *build_attnums_array(Bitmapset *attrs, int nexprs, int *numattrs);
+extern int	compare_attnums(const void *a, const void *b);
 
 extern SortItem *build_sorted_items(StatsBuildData *data, int *nitems,
 									MultiSortSupport mss,
diff --git a/src/include/statistics/statistics.h b/src/include/statistics/statistics.h
index 0b163103a72..772abfc3579 100644
--- a/src/include/statistics/statistics.h
+++ b/src/include/statistics/statistics.h
@@ -127,6 +127,11 @@ extern StatisticExtInfo *choose_best_statistics(List *stats, char requiredkind,
 												List **clause_exprs,
 												int nclauses);
 extern HeapTuple statext_expressions_load(Oid stxoid, bool inh, int idx);
+extern List *statext_get_stxexprs(HeapTuple htup, Relation rel);
+extern bool statext_is_column(Node *node);
+extern bool stat_covers_attnum(StatisticExtInfo *stat, AttrNumber attnum);
+extern int	stat_num_expressions(StatisticExtInfo *stat);
+extern Node *stat_nth_expression(StatisticExtInfo *stat, int n);
 
 extern bool import_relation_statistics(Relation rel,
 									   const NullableDatum *version,
diff --git a/src/test/regress/sql/create_table_like.sql b/src/test/regress/sql/create_table_like.sql
index d52a93ef131..864f54d0e6f 100644
--- a/src/test/regress/sql/create_table_like.sql
+++ b/src/test/regress/sql/create_table_like.sql
@@ -277,7 +277,7 @@ SELECT attname, attcompression FROM pg_attribute
   WHERE attrelid = 'ctl_foreign_table2'::regclass and attnum > 0 ORDER BY attnum;
 
 -- LIKE ... INCLUDING STATISTICS with dropped columns in the parent,
--- so stxkeys attnums are not contiguous.
+-- so column attnums are not contiguous.
 CREATE TABLE ctl_stats3_parent (a int, b int, c int);
 ALTER TABLE ctl_stats3_parent DROP COLUMN b;
 CREATE STATISTICS ctl_stats3_stat ON a, c FROM ctl_stats3_parent;
@@ -287,15 +287,10 @@ ALTER TABLE ctl_stats4_parent DROP COLUMN b;
 CREATE STATISTICS ctl_stats4_stat ON a, c FROM ctl_stats4_parent;
 CREATE TABLE ctl_stats4_child (LIKE ctl_stats4_parent INCLUDING STATISTICS);
 SELECT s.stxrelid::regclass AS relation,
-       array_agg(a.attname ORDER BY u.ord) AS stats_columns
+       pg_get_statisticsobjdef_columns(s.oid) AS stats_columns
 FROM pg_statistic_ext s
-CROSS JOIN LATERAL
-  unnest(s.stxkeys::int2[]) WITH ORDINALITY AS u(attnum, ord)
-JOIN pg_attribute a
-  ON a.attrelid = s.stxrelid AND a.attnum = u.attnum
 WHERE s.stxrelid IN ('ctl_stats3_child'::regclass,
                      'ctl_stats4_child'::regclass)
-GROUP BY s.stxrelid
 ORDER BY s.stxrelid::regclass::text;
 DROP TABLE ctl_stats3_parent;
 DROP TABLE ctl_stats3_child;
diff --git a/src/test/regress/sql/stats_ext.sql b/src/test/regress/sql/stats_ext.sql
index 3cc6012b822..33844520303 100644
--- a/src/test/regress/sql/stats_ext.sql
+++ b/src/test/regress/sql/stats_ext.sql
@@ -178,6 +178,35 @@ SELECT * FROM check_estimated_rows('SELECT a, b FROM stxdinp GROUP BY 1, 2');
 SELECT * FROM check_estimated_rows('SELECT a + 1, b FROM ONLY stxdinp GROUP BY 1, 2');
 DROP TABLE stxdinp;
 
+-- a column-equivalent expression (one that const-folds to a plain column, or a
+-- passthrough virtual generated column) is treated as that column
+CREATE TABLE column_equivalent (a int, b int, g int GENERATED ALWAYS AS (a) VIRTUAL) WITH (autovacuum_enabled = off);
+INSERT INTO column_equivalent (a, b) SELECT i%100, i%10 FROM generate_series(1, 10000) i;
+-- a column-equivalent CASE between two complex expressions
+CREATE STATISTICS column_equivalent_middle ON (a + b), (CASE WHEN true THEN a ELSE b END), (a * b) FROM column_equivalent;
+-- only column-equivalent entries, which all fold to plain columns
+CREATE STATISTICS column_equivalent_all ON (CASE WHEN true THEN a END), b FROM column_equivalent;
+ANALYZE column_equivalent;
+-- a column-equivalent CASE is not reported as an expression; only the complex
+-- expressions appear, each with its own statistics
+SELECT statistics_name, expr, n_distinct
+FROM pg_stats_ext_exprs
+WHERE statistics_name IN ('column_equivalent_middle', 'column_equivalent_all')
+ORDER BY statistics_name, expr;
+-- each complex expression's GROUP BY estimate uses its own statistics
+SELECT * FROM check_estimated_rows('SELECT (a + b) FROM column_equivalent GROUP BY 1');
+SELECT * FROM check_estimated_rows('SELECT (a * b) FROM column_equivalent GROUP BY 1');
+-- column_equivalent_all is used for a GROUP BY on the plain columns a, b
+SELECT * FROM check_estimated_rows('SELECT COUNT(*) FROM column_equivalent GROUP BY a, b');
+-- an entry that reduces to a column already listed is rejected as a duplicate:
+-- a parenthesized column,
+CREATE STATISTICS column_equivalent_dup_paren ON a, (a) FROM column_equivalent;
+-- a constant-folding expression,
+CREATE STATISTICS column_equivalent_dup_case ON a, (CASE WHEN true THEN a END), b FROM column_equivalent;
+-- and a passthrough generated column
+CREATE STATISTICS column_equivalent_dup_vgen ON a, g FROM column_equivalent;
+DROP TABLE column_equivalent;
+
 -- basic test for statistics on expressions
 CREATE TABLE ab1 (a INTEGER, b INTEGER, c TIMESTAMP, d TIMESTAMPTZ);
 
@@ -1593,6 +1622,12 @@ ANALYZE virtual_gen_stats;
 SELECT * FROM check_estimated_rows('SELECT * FROM virtual_gen_stats WHERE c = 0 AND (3*b) = 0');
 SELECT * FROM check_estimated_rows('SELECT * FROM virtual_gen_stats WHERE d = 0 AND (d-2*a) = 0');
 
+SELECT expr FROM pg_stats_ext_exprs
+    WHERE statistics_name = 'virtual_gen_stats_1' AND NOT inherited;
+
+SELECT pg_get_statisticsobjdef(oid) FROM pg_statistic_ext
+    WHERE stxname = 'virtual_gen_stats_1';
+
 -- univariate statistics on individual virtual generated columns
 DROP STATISTICS virtual_gen_stats_1;
 
@@ -1901,10 +1936,50 @@ CREATE STATISTICS stats_ext_range (mcv)
    ON irange, (irange + '[4,10)'::int4range)
    FROM stats_ext_tbl_range;
 ANALYZE stats_ext_tbl_range;
-SELECT attnames, most_common_vals
+SELECT exprs, most_common_vals
    FROM pg_stats_ext
    WHERE statistics_name = 'stats_ext_range';
 SELECT range_length_histogram, range_empty_frac, range_bounds_histogram
    FROM pg_stats_ext_exprs
    WHERE statistics_name = 'stats_ext_range';
 DROP TABLE stats_ext_tbl_range;
+
+-- the order of columns and expressions in CREATE STATISTICS is preserved in the
+-- object definition and the MCV; left undropped for pg_upgrade testing
+CREATE TABLE declared_order_preserved (a int, c int) WITH (autovacuum_enabled = off);
+INSERT INTO declared_order_preserved SELECT 1, 100 FROM generate_series(1, 100) g;
+CREATE STATISTICS declared_order_preserved_stat ON c, (a + c), a FROM declared_order_preserved;
+ANALYZE declared_order_preserved;
+SELECT pg_get_statisticsobjdef(oid) FROM pg_statistic_ext
+    WHERE stxname = 'declared_order_preserved_stat';
+-- MCV values in CREATE STATISTICS order: c = 100, (a + c) = 101, a = 1
+SELECT m.values
+FROM pg_statistic_ext s
+JOIN pg_statistic_ext_data d ON (s.oid = d.stxoid)
+CROSS JOIN LATERAL pg_mcv_list_items(d.stxdmcv) m
+WHERE s.stxname = 'declared_order_preserved_stat';
+
+-- selectivity estimates are accurate regardless of the column order in CREATE
+-- STATISTICS (here b, a)
+CREATE TABLE declared_order_selectivity (a int, b int) WITH (autovacuum_enabled = off);
+-- correlated data: (a, b) is either (0, 1) or (1, 0)
+INSERT INTO declared_order_selectivity SELECT 0, 1 FROM generate_series(1, 9900);
+INSERT INTO declared_order_selectivity SELECT 1, 0 FROM generate_series(1, 100);
+CREATE STATISTICS declared_order_selectivity_stat ON b, a FROM declared_order_selectivity;
+ANALYZE declared_order_selectivity;
+-- estimate should track the actual 9900 rows
+SELECT * FROM check_estimated_rows('SELECT * FROM declared_order_selectivity WHERE a = 0 AND b = 1');
+-- estimate should track the actual 100 rows
+SELECT * FROM check_estimated_rows('SELECT * FROM declared_order_selectivity WHERE a = 1 AND b = 0');
+DROP TABLE declared_order_selectivity;
+
+-- grouping estimates are accurate regardless of the column order in CREATE
+-- STATISTICS (here b, a)
+CREATE TABLE declared_order_grouping (a int, b int) WITH (autovacuum_enabled = off);
+-- correlated data: a and b move together, so 100 distinct (a, b) groups
+INSERT INTO declared_order_grouping SELECT i%100, i%100 FROM generate_series(1, 10000) i;
+CREATE STATISTICS declared_order_grouping_stat ON b, a FROM declared_order_grouping;
+ANALYZE declared_order_grouping;
+-- estimate should track the 100 distinct groups, not ndistinct(a) * ndistinct(b)
+SELECT * FROM check_estimated_rows('SELECT COUNT(*) FROM declared_order_grouping GROUP BY a, b');
+DROP TABLE declared_order_grouping;
diff --git a/src/test/regress/sql/stats_import.sql b/src/test/regress/sql/stats_import.sql
index 10843f12447..c165738f05c 100644
--- a/src/test/regress/sql/stats_import.sql
+++ b/src/test/regress/sql/stats_import.sql
@@ -2477,6 +2477,108 @@ SELECT statname, (stats).*
 FROM stats_import.pg_stats_ext_exprs_get_difference('test_mr_stat', 'test_mr_stat_clone')
 \gx
 
+-- import of extended statistics that include a virtual generated column
+CREATE TABLE stats_import.test_virtual_gen(
+    a int,
+    b int,
+    c int GENERATED ALWAYS AS (a + b) VIRTUAL
+);
+INSERT INTO stats_import.test_virtual_gen(a, b)
+    SELECT mod(i, 10), mod(i, 7) FROM generate_series(1, 1000) s(i);
+CREATE STATISTICS stats_import.test_virtual_gen_stat ON a, c
+    FROM stats_import.test_virtual_gen;
+ANALYZE stats_import.test_virtual_gen;
+CREATE TABLE stats_import.test_virtual_gen_clone(
+    a int,
+    b int,
+    c int GENERATED ALWAYS AS (a + b) VIRTUAL
+);
+CREATE STATISTICS stats_import.test_virtual_gen_stat_clone ON a, c
+    FROM stats_import.test_virtual_gen_clone;
+-- Import stats from test_virtual_gen_stat to test_virtual_gen_stat_clone
+SELECT e.statistics_name,
+  pg_catalog.pg_restore_extended_stats(
+    'schemaname', e.statistics_schemaname::text,
+    'relname', 'test_virtual_gen_clone',
+    'statistics_schemaname', e.statistics_schemaname::text,
+    'statistics_name', 'test_virtual_gen_stat_clone',
+    'inherited', e.inherited,
+    'n_distinct', e.n_distinct,
+    'dependencies', e.dependencies,
+    'most_common_vals', e.most_common_vals,
+    'most_common_freqs', e.most_common_freqs,
+    'most_common_base_freqs', e.most_common_base_freqs,
+    'exprs', x.exprs)
+FROM pg_stats_ext AS e
+CROSS JOIN LATERAL (
+  SELECT jsonb_agg(jsonb_strip_nulls(jsonb_build_object(
+            'null_frac', ee.null_frac::text,
+            'avg_width', ee.avg_width::text,
+            'n_distinct', ee.n_distinct::text,
+            'most_common_vals', ee.most_common_vals::text,
+            'most_common_freqs', ee.most_common_freqs::text,
+            'histogram_bounds', ee.histogram_bounds::text,
+            'correlation', ee.correlation::text)))
+    FROM pg_stats_ext_exprs AS ee
+    WHERE ee.statistics_schemaname = e.statistics_schemaname AND
+      ee.statistics_name = e.statistics_name AND
+      ee.inherited = e.inherited
+    ) AS x(exprs)
+WHERE e.statistics_schemaname = 'stats_import'
+AND e.statistics_name = 'test_virtual_gen_stat';
+
+SELECT statname, (stats).*
+FROM stats_import.pg_stats_ext_get_difference('test_virtual_gen_stat', 'test_virtual_gen_stat_clone')
+\gx
+
+SELECT statname, (stats).*
+FROM stats_import.pg_stats_ext_exprs_get_difference('test_virtual_gen_stat', 'test_virtual_gen_stat_clone')
+\gx
+
+-- round-trip an MCV that interleaves a column and an expression of different types
+CREATE STATISTICS stats_import.test_stat_interleave (mcv)
+  ON name, lower(arange), comp
+  FROM stats_import.test;
+CREATE STATISTICS stats_import.test_stat_interleave_clone (mcv)
+  ON name, lower(arange), comp
+  FROM stats_import.test_clone;
+ANALYZE stats_import.test;
+-- Copy stats from test_stat_interleave to test_stat_interleave_clone
+SELECT e.statistics_name,
+  pg_catalog.pg_restore_extended_stats(
+    'schemaname', e.statistics_schemaname::text,
+    'relname', 'test_clone',
+    'statistics_schemaname', e.statistics_schemaname::text,
+    'statistics_name', 'test_stat_interleave_clone',
+    'inherited', e.inherited,
+    'n_distinct', e.n_distinct,
+    'dependencies', e.dependencies,
+    'most_common_vals', e.most_common_vals,
+    'most_common_freqs', e.most_common_freqs,
+    'most_common_base_freqs', e.most_common_base_freqs,
+    'exprs', x.exprs)
+FROM pg_stats_ext AS e
+CROSS JOIN LATERAL (
+  SELECT jsonb_agg(jsonb_strip_nulls(jsonb_build_object(
+            'null_frac', ee.null_frac::text,
+            'avg_width', ee.avg_width::text,
+            'n_distinct', ee.n_distinct::text,
+            'most_common_vals', ee.most_common_vals::text,
+            'most_common_freqs', ee.most_common_freqs::text,
+            'histogram_bounds', ee.histogram_bounds::text,
+            'correlation', ee.correlation::text)))
+    FROM pg_stats_ext_exprs AS ee
+    WHERE ee.statistics_schemaname = e.statistics_schemaname AND
+      ee.statistics_name = e.statistics_name AND
+      ee.inherited = e.inherited
+    ) AS x(exprs)
+WHERE e.statistics_schemaname = 'stats_import'
+AND e.statistics_name = 'test_stat_interleave';
+
+SELECT statname, (stats).*
+FROM stats_import.pg_stats_ext_get_difference('test_stat_interleave', 'test_stat_interleave_clone')
+\gx
+
 -- range_length_histogram, range_empty_frac, and range_bounds_histogram
 -- have been added to pg_stats_ext_exprs in PostgreSQL 19.  When dumping
 -- expression statistics in a cluster with an older version, these fields
-- 
2.50.1 (Apple Git-155)

